| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Functions | Variables
fsl_i2c_hal.c File Reference

fsl_i2c_hal.c implements i2c HAL Layer interfaces. More...

`#include "fsl_i2c_hal.h"`
`#include "isf_fsl_i2c_PEx.h"`
`#include "PE_Types.h"`
`#include "isf_i2c_master_adapter.h"`
`#include "fsl_i2c_master_driver.h"`
Include dependency graph for fsl_i2c_hal.c:

Go to the source code of this file.

## Functions
void | i2c_hal_enable (uint32 instance)
| This function enables the HAL. More...
void | i2c_hal_disable (uint32 instance)
| This function disables the HAL. More...

## Variables
i2c_instance_PEx | i2c_instance_tbl []
| Lookup table for the LLD instance. More...
i2c_Master_busHandle_t | i2c_master_busHandle []

## Detailed Description

fsl_i2c_hal.c implements i2c HAL Layer interfaces.

File: fsl_i2c_hal.c

Copyright (c) 2014, Freescale Semiconductor, Inc.

Definition in file fsl_i2c_hal.c.

## Function Documentation

void i2c_hal_disable | ( | uint32 | instance | ) |

This function disables the HAL.

This allows to perform dynamic OFF the bus.

Parameters

  [in] | instance | The instance ID/ ID of the bus to disable.

Returns
  :None

Constraints:
  None

Reentrant: Yes

Link Libraries:
  None

Definition at line 40 of file fsl_i2c_hal.c.

References i2c_instance_PEx::fnI2CLLDdeviceDis, i2c_Master_BusHandle_struct::master, and I2CMasterState::pDeviceHandle.

Referenced by i2c_master_adapter_stop().

Here is the caller graph for this function:

void i2c_hal_enable | ( | uint32 | instance | ) |

This function enables the HAL.

This allows to perform dynamic ON of the bus.

Parameters

  [in] | instance | The instance ID/ ID of the bus to enable.

Returns
  :None

Constraints:
  None

Reentrant: Yes

Link Libraries:
  None

Definition at line 27 of file fsl_i2c_hal.c.

References i2c_instance_PEx::fnI2CLLDdeviceEn, i2c_Master_BusHandle_struct::master, and I2CMasterState::pDeviceHandle.

Referenced by i2c_master_adapter_start().

Here is the caller graph for this function:

## Variable Documentation

i2c_instance_PEx i2c_instance_tbl[]

Lookup table for the LLD instance.

Definition at line 25 of file isf_fsl_i2c_PEx.c.

i2c_Master_busHandle_t i2c_master_busHandle[]

Definition at line 36 of file isf_sysconf_comms.c.

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.